## ppx-import 1.10.0

=== Makefile ===
build:
	dune build

test:
	dune runtest

clean:
	dune clean

fmt:
	dune build @fmt --auto-promote

.PHONY: build test clean

## ppx-import 1.9.0

=== debian/changelog ===
ppx-import (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Rework the build-depends.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Feb 2022 09:15:04 +0100

ppx-import (1.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1002513)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Dec 2021 16:24:41 +0100

=== debian/control ===
Source: ppx-import
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               libmigrate-parsetree-ocaml-dev,
               libounit-ocaml-dev <!nocheck>,
               libppx-deriving-ocaml-dev <!nocheck>,
               libppx-sexp-conv-ocaml-dev,
               libppxlib-ocaml-dev,
               ocaml-dune
Standards-Version: 4.6.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/ocaml-ppx/ppx_import
Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-import.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-import

Package: libppx-import-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml extension to import declarations (development)
 This package provides a ppx rewriter to import declarations from
 interface files.
 .
 This package contains development files.

Package: libppx-import-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml extension to import declarations (runtime)
 This package provides a ppx rewriter to import declarations from
 interface files.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_import

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ppx_import/LICENSE.md

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ppx_import/tags .*/v(.*)\.tar\.gz

## ppx-import 1.9.1

=== debian/changelog ===
ppx-import (1.9.1-1) unstable; urgency=medium

  * Better d/watch.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 25 Mar 2022 07:59:16 +0100

## ppx-import 1.10.0

=== debian/changelog ===
ppx-import (1.10.0-3build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 13:06:33 +0100

ppx-import (1.10.0-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 08:16:07 +0100

ppx-import (1.10.0-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Fri, 18 Aug 2023 03:42:43 +0200

ppx-import (1.10.0-2) unstable; urgency=medium

  * Fix compilation with recent dune.
  * Bump standards-version to 4.6.2

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 10:20:35 +0200

ppx-import (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Oct 2022 08:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml,
+               dh-ocaml (>= 1.2),
                libmigrate-parsetree-ocaml-dev,
                libounit-ocaml-dev <!nocheck>,
                libppx-deriving-ocaml-dev <!nocheck>,
                libppx-sexp-conv-ocaml-dev,
-               libppxlib-ocaml-dev,
+               libppxlib-ocaml-dev (>= 0.26.0),
                ocaml-dune
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppx_import

=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ppx_import/tags .*/v?(.*)\.tar\.gz

## ppx-import 1.11.0

=== debian/changelog ===
ppx-import (1.11.0-2build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:18:41 +0200

ppx-import (1.11.0-2build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:44:17 +0100

ppx-import (1.11.0-2build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:37:41 +0100

ppx-import (1.11.0-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:13:10 +0100

ppx-import (1.11.0-2build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2024 21:39:18 +0200

ppx-import (1.11.0-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:33:16 +0200

ppx-import (1.11.0-2) unstable; urgency=medium

  * Team upload
  * Do no longer Build-Depend on libmigrate-parsetree-ocaml-dev

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Jun 2024 09:19:11 +0200

ppx-import (1.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 05:45:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-ocaml (>= 1.2),
-               libmigrate-parsetree-ocaml-dev,
                libounit-ocaml-dev <!nocheck>,
                libppx-deriving-ocaml-dev <!nocheck>,
                libppx-sexp-conv-ocaml-dev,

## ppx-import 1.12.0

=== debian/changelog ===
ppx-import (1.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/watch to version 5
  * Bump standards-version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Oct 2025 08:08:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                libppx-sexp-conv-ocaml-dev,
                libppxlib-ocaml-dev (>= 0.26.0),
                ocaml-dune
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: ocaml
 Homepage: https://github.com/ocaml-ppx/ppx_import
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-import.git

=== debian/watch ===
Version: 5

Source: https://github.com/ocaml-ppx/ppx_import/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
